Subject: Re: [re-ECN] status of CONEX

From: Ingemar Johansson S <[email-masked]>
Date: Mon, 8 Feb 2010 09:20:16 +0100

Hi

My comments inline
/Ingemar

> 
> Message: 1
> Date: Fri, 5 Feb 2010 09:13:24 +0200
> From: Lars Eggert <[email-masked]>
> Subject: [re-ECN] status of CONEX
> To: "[email-masked] list" <[email-masked]>
> Cc: "[email-masked] IESG" <[email-masked]>
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="us-ascii"
> 
> Hi,
> 
> on yesterday's telechat, the IESG discussed CONEX and whether 
> the charter should go for external review. My decision after 
> this discussion is to not take that step at this time. My 
> summary of the main objections follows. 
> 
> There was hesitation to continue with the chartering process 
> of a working group without knowing a bit more precisely what 
> the outcome would look like and that there is any real 
> interest to deploy it.
It is possible that I am a bit biased here as I first read the documents on this subject, then the charter. In some specific cases the learning threshold has been a bit high and I am still a bit lost e.g on appendix D in the Re-ECN draft but in general I've seen much more complex concepts being dicussed. As regards to willingness to deploy I really can't tell but I am not sure that one will ever get a good answer to that question.
When I attented the BoF I got the feeling that quite a few people supported this work, is this support gone today ?

> 
> Not knowing what the outcome would look like seemed to argue 
> to some that it should be an IRTF research effort and not a 
> WG. It was also not clear if CONEX is an attempt to 
> standardize Re-ECN without saying so, and if not, again the 
> concern was that it was unclear what the outcome would be.
I believe that the charter text was enough clear to avoid a feeling of rubberstamping. For instance it was concluded that TCP should not be the only transport to focus on although solutions for TCP may show up first (quite understandable).
Personally I find it difficult to see how the work would benefit from being in IRTF. The re-ECN concept is quite well documented, what I believe is needed to see that it works is real deployment.

> As for deployment, some ADs polled their contacts at a few 
> ISPs, which signaled strong resistance against any sort of 
> congestion-pricing-based solution or at least Re-ECN. (It did 
> not help the proposal that one of those with that opinion was 
> a person from BT...)
If I understand it correctly here, lots of people choke on the words "pricing". My (perhaps naive) thinking around this is that the cost comes in terms of policing and packet drops but this is I believe up to the operator or.

> 
> In general, I personally had the feeling that the charter 
> wasn't self-contained enough for people to simply read it, 
> understand the problem and the proposed solution angle and 
> feel like they had all the information to confidently state 
> an opinion. (This isn't surprising - this is a complex topic 
> that has proven extremely difficult to boil down into a short 
> piece of text.)
Can understand it but I don't buy that as an argument to say no. A charter text must be fairly short and I believe that it is unevitable that the reader must look a little bit beyond to get the whole idea.

> 
> So where do we go from here?
> 
> I personally still believe that the IETF should start an 
> activity in this space, but it seems clear that we need to 
> become more concrete in what it is that we want to work on, 
> why it makes sense for us to work on it and that there is an 
> active interest from the folks who will need to implement & 
> deploy the outcome. The IESG discussion yesterday made it 
> clear that reading the current problem statement 
> (draft-tschofenig-conex-ps) and the proposed charter wasn't 
> sufficient for folks to feel convinced about this effort.
I did not look very much at draft-tschofenig-conex-ps, I concentrated more on the other drafts to get an understanding of the concept
> 
> CONEX currently has a slot in Anaheim, and I intend to use it 
> for a second BOF to discuss how we would go about this. 
> Leslie & Phil have volunteered to co-chair the BOF - thank you! 
> 
> My feeling is that before we can revisit the chartering 
> question, we need a much better self-contained problem 
> description, motivation for why exposing congestion is the 
> desired solution angle and at least an outline about exactly 
> which pieces of information we're planning to expose/share 
> and in which way.
> 
> Lars
> 
> -------------- next part --------------
> A non-text attachment was scrubbed...
> Name: smime.p7s
> Type: application/pkcs7-signature
> Size: 2490 bytes
> Desc: not available
> Url : 
> <http://www.ietf.org/mail-archive/web/re-ecn/attachments/20100
> 205/ae3e7bcd/attachment.p7s>
> 
> ------------------------------
> 
> _______________________________________________
> re-ECN mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/re-ecn
> 
> 
> End of re-ECN Digest, Vol 12, Issue 5
> *************************************
>